# Class FirstMoveCondition

#### Hierarchy (view full)

- MoveCondition
  - FirstMoveCondition

- Defined in src/data/move.ts:5279

#####
Index

### Constructors

constructor

### Properties

func

### Methods

apply
getUserBenefitScore

## Constructors

### constructor

- new FirstMoveCondition(): FirstMoveCondition

- #### Returns FirstMoveCondition

  Overrides MoveCondition.constructor

  - Defined in src/data/move.ts:5280

## Properties

### `Protected` func

func: MoveConditionFunc

Inherited from MoveCondition.func

- Defined in src/data/move.ts:5264

## Methods

### apply

- apply(user, target, move): boolean

- #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns boolean

  Inherited from MoveCondition.apply

  - Defined in src/data/move.ts:5270

### getUserBenefitScore

- getUserBenefitScore(user, target, move): number

- #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  Overrides MoveCondition.getUserBenefitScore

  - Defined in src/data/move.ts:5284